TechDraw: Linea guida

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw LeaderLine and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg TechDraw Annotation.svg Annotazione Pagina precedente:
Pagina successiva: Blocco di testo TechDraw RichTextAnnotation.svg Arrow-right.svg

Techdraw-mline.svg Linea guida

Nome nel codice
TechDraw LeaderLine
Posizione nel menu
TechDraw → Aggiungi linee → Linea guida
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Blocco di testo, Simbolo di saldatura, Gruppi di linee


Descrizione

Lo strumento Linea guida aggiunge una linea a una vista. Altri oggetti di annotazione, come un Blocco di testo, possono essere collegati alla linea guida per formare annotazioni complesse.

TechDraw LeaderLine sample.png

Linea guida aggiunta a View001


Utilizzo

  1. Selezionare una vista.
  2. Premere il pulsante TechDraw LeaderLine.svg Linea guida. Si apre una finestra di dialogo che consente di disegnare la linea guida e di assegnare simboli di fine linea.
  3. Cliccare su seleziona punti e quindi fare clic nella pagina per definire il punto iniziale della linea.
  4. Muovere il mouse e fare clic su un altro punto per creare una linea.
  5. ora è possibile
    1. terminare il disegno facendo doppio clic o premendo Salva i punti,
    2. oppure aggiungere ulteriori punti per definire più segmenti di linea.
  6. Per terminare la creazione, premere OK per chiudere la finestra di dialogo.

Nota: Se non è stato definito alcun punto durante la creazione della linea guida, viene posizionata una linea corta al centro della vista.

Modifica

  1. Selezionare la Linea guida nella struttura del documento e fare doppio clic su di essa.
  2. Si apre una finestra di dialogo in cui è possibile modificare l'aspetto.
  3. Per modificare i punti, fare clic su Modifica punti e i punti della linea diventano visibili nel disegno.
  4. Trascinare i punti nel posto desiderato e terminare la modifica facendo clic su Salva modifiche.

Proprietà

  • DataX,Y: il punto in cui la linea guida è connessa alla vista.
  • DataLeader Parent: la vista a cui è attaccata la linea guida
  • DataStart Symbol: il simbolo all'inizio: Arrownone.svg Nessuno, Arrowfilled.svg Freccia piena, Arrowopen.svg freccia aperta, Arrowtick.svg Barra, Arrowdot.svg Punto, Arrowopendot.svg Cerchio aperto, Arrowfork.svg Biforcazione, Arrowpyramid.svg Triangolo pieno
  • DataEnd Symbol: il simbolo alla fine.
  • DataWayPoints: nodi sulla linea guida.
  • DataScalable: scala la linea guida con Leader Parent.
  • DataAuto Horizontal: forza l'ultimo segmento della linea guida ad essere orizzontale.
  • ViewColor: Colore della penna per la linea guida.
  • ViewLine Style: 0 nessuna linea, 1 Continuous-line.svg continua, 2 Dash-line.svg a tratti, 3 Dot-line.svg punti, 4 DashDot-line.svg tratto e punto, 5 DashDotDot-line.svg tratto e 2 punti
  • ViewLine Width: Larghezza della linea guida.

Script

Vedere anche: API TechDraw e Nozioni di base sugli script di FreeCAD.

Lo strumento Linea guida può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawLeaderLine','DrawLeaderLine')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)  
#rest of waypoints are positions relative to (0,0,0)
leaderObj.WayPoints = [p0,p1,p2]
leaderObj.X = 5
leaderObj.Y = 5

Note

  • È possibile modificare una linea guida facendo doppio clic su di essa nella vista ad albero. Il doppio clic nell'area grafica non è ancora supportato. I segmenti di linea possono essere modificati premendo Modifica punti. Per uscire dalla modifica del punto, premere Salva modifiche o Annulla modifiche.
  • Se non è stato definito alcun punto durante la creazione della linea guida, verrà posizionata una linea corta al centro della vista. Successivamente non è possibile aggiungere ulteriori punti.
  • Per impostazione predefinita, l'opzione Leader Line Auto Horizontal delle preferenze è attivata. Pertanto l'ultimo segmento di linea sarà orizzontale. Quindi, se c'è un solo un segmento, si ottiene una linea orizzontale, indipendentemente da dove si è posto il secondo punto.
  • si può disattivare la funzione orizzontale automatica per le linee guida esistenti modificando la proprietà DataAuto Horizontal.
Arrow-left.svg TechDraw Annotation.svg Annotazione Pagina precedente:
Pagina successiva: Blocco di testo TechDraw RichTextAnnotation.svg Arrow-right.svg